package com.chenyang.druid.sql.dialect.kingbase.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import java.util.ArrayList;
import java.util.List;

public abstract class KingbasePivotBaseStatement extends SQLObjectImpl {
   protected final List<SQLExpr> pivotFor = new ArrayList();

   public List<SQLExpr> getPivotFor() {
      return this.pivotFor;
   }

   public KingbasePivotBaseStatement clone() {
      throw new UnsupportedOperationException();
   }
}
